"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _DEV_MODE_CLASS = "pitaya--dev-mode";
const _developmentTaskQueue = [];
exports.executeDevelopmentQueue = async function (settings) {
    if (!settings.Development.enabled) {
        return;
    }
    for (const task of _developmentTaskQueue) {
        await task(settings);
    }
};
_developmentTaskQueue.push(({ Development }) => {
    document.body.classList.add(Development.bodyClassName);
});
//# sourceMappingURL=development.js.map